org.apache.maven.project.injection

## Interface ModelDefaultsInjector

- All Known Implementing Classes:
    DefaultModelDefaultsInjector

      public interface ModelDefaultsInjector

  Author:
    jdcasey Created on Feb 1, 2005

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectDefaults(Model model)`
    `void` | `mergePluginWithDefaults(Plugin plugin, Plugin def)`

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### injectDefaults

          void injectDefaults(Model model)

    - #### mergePluginWithDefaults

          void mergePluginWithDefaults(Plugin plugin,
                                     Plugin def)